# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepci/jkkll/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepci/jkkll/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepci\\Jkkll\\": "packages/litepci/jkkll/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepci\Jkkll\Providers\JkkllServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Jkkll'  => Litepci\Jkkll\Facades\Jkkll::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepci\\JkkllTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Jkkll\Providers\JkkllServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/jkkll/{modulename}

**User**

    http://path-to-route-folder/user/jkkll/{modulename}

**Public**

    http://path-to-route-folder/jkklls


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/jkkll/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/jkkll/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/jkkll/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/jkkll/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/jkkll/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/jkkll/{modulename}/{slug}
    METHOD: GET