<?php

namespace Litepci\Jkkll\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CartTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Jkkll\Models\Cart $cart)
    {
        return [
            'id'                => $cart->getRouteKey(),
            'key'               => [
                'public'    => $cart->getPublicKey(),
                'route'     => $cart->getRouteKey(),
            ], 
            'identifier'        => $cart->identifier,
            'deleted_at'        => $cart->deleted_at,
            'url'               => [
                'public'    => trans_url('jkkll/'.$cart->getPublicKey()),
                'user'      => guard_url('jkkll/cart/'.$cart->getRouteKey()),
            ], 
            'status'            => trans('app.'.$cart->status),
            'created_at'        => format_date($cart->created_at),
            'updated_at'        => format_date($cart->updated_at),
        ];
    }
}